LibreOffice LibreOffice 6.1 SDK API Reference

Classes | Modules
XFilePicker3.idl File Reference
`import "com/sun/star/lang/XComponent.idl";`
`import "com/sun/star/util/XCancellable.idl";`
`import "com/sun/star/ui/dialogs/XFilePicker2.idl";`
`import "com/sun/star/ui/dialogs/XFilePickerNotifier.idl";`
`import "com/sun/star/ui/dialogs/XFilePickerControlAccess.idl";`
`import "com/sun/star/ui/dialogs/XFilterManager.idl";`
`import "com/sun/star/ui/dialogs/XFilePreview.idl";`
`import "com/sun/star/ui/dialogs/XFilterGroupManager.idl";`

Go to the source code of this file.

## Classes
interface | XFilePicker3
| Provides unified interface for FilePicker service. More...

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::ui
| Dialogs and other UI elements.
module | com::sun::star::ui::dialogs
| dialogs.